/***************************************************************************
 *            burn-caps.h
 *
 *  mar avr 18 20:58:42 2006
 *  Copyright  2006  Rouquier Philippe
 *  bonfire-app@wanadoo.fr
 ***************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef BURN_CAPS_H
#define BURN_CAPS_H

#include <glib.h>
#include <glib-object.h>

#include <nautilus-burn-drive.h>

#include "burn-basics.h"
#include "burn.h"

G_BEGIN_DECLS

#define BONFIRE_TYPE_BURNCAPS         (bonfire_burn_caps_get_type ())
#define BONFIRE_BURNCAPS(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), BONFIRE_TYPE_BURNCAPS, BonfireBurnCaps))
#define BONFIRE_BURNCAPS_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), BONFIRE_TYPE_BURNCAPS, BonfireBurnCapsClass))
#define BONFIRE_IS_BURNCAPS(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), BONFIRE_TYPE_BURNCAPS))
#define BONFIRE_IS_BURNCAPS_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), BONFIRE_TYPE_BURNCAPS))
#define BONFIRE_BURNCAPS_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), BONFIRE_TYPE_BURNCAPS, BonfireBurnCapsClass))

typedef struct BonfireBurnCapsPrivate BonfireBurnCapsPrivate;

typedef struct {
	GObject parent;
	BonfireBurnCapsPrivate *priv;
} BonfireBurnCaps;

typedef struct {
	GObjectClass parent_class;
} BonfireBurnCapsClass;

GType bonfire_burn_caps_get_type();

BonfireBurnCaps *bonfire_burn_caps_get_default ();

BonfireBurnResult
bonfire_burn_caps_get_default_flags (BonfireBurnCaps *caps,
				     BonfireTrackSourceType track_type,
				     NautilusBurnDriveType drive_type,
				     NautilusBurnMediaType media_type,
				     BonfireBurnFlag *flags);

BonfireBurnResult
bonfire_burn_caps_get_supported_flags (BonfireBurnCaps *caps,
				       BonfireTrackSourceType track_type,
				       NautilusBurnDriveType drive_type,
				       NautilusBurnMediaType media_type,
				       BonfireBurnFlag *flags);
#endif /* BURN_CAPS_H */
