/***************************************************************************
 *            cdrdao.h
 *
 *  dim jan 22 15:38:18 2006
 *  Copyright  2006  Rouquier Philippe
 *  bonfire-app@wanadoo.fr
 ***************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef CDRDAO_H
#define CDRDAO_H

#include <glib.h>
#include <glib-object.h>

#include "burn-process.h"

G_BEGIN_DECLS

#define BONFIRE_TYPE_CDRDAO         (bonfire_cdrdao_get_type ())
#define BONFIRE_CDRDAO(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), BONFIRE_TYPE_CDRDAO, BonfireCdrdao))
#define BONFIRE_CDRDAO_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), BONFIRE_TYPE_CDRDAO, BonfireCdrdaoClass))
#define BONFIRE_IS_CDRDAO(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), BONFIRE_TYPE_CDRDAO))
#define BONFIRE_IS_CDRDAO_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), BONFIRE_TYPE_CDRDAO))
#define BONFIRE_CDRDAO_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), BONFIRE_TYPE_CDRDAO, BonfireCdrdaoClass))

typedef struct BonfireCdrdaoPrivate BonfireCdrdaoPrivate;

typedef struct {
	BonfireProcess process;
	BonfireCdrdaoPrivate *priv;
} BonfireCdrdao;

typedef struct {
	BonfireProcessClass parent_class;
} BonfireCdrdaoClass;

GType bonfire_cdrdao_get_type();

BonfireCdrdao *bonfire_cdrdao_new();

#endif /* CDRDAO_H */
