/***************************************************************************
 *            growisofs.h
 *
 *  dim jan 22 15:38:51 2006
 *  Copyright  2006  Rouquier Philippe
 *  bonfire-app@wanadoo.fr
 ***************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GROWISOFS_H
#define GROWISOFS_H

#include <glib.h>
#include <glib-object.h>

#include "burn-process.h"

G_BEGIN_DECLS

#define BONFIRE_TYPE_GROWISOFS         (bonfire_growisofs_get_type ())
#define BONFIRE_GROWISOFS(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), BONFIRE_TYPE_GROWISOFS, BonfireGrowisofs))
#define BONFIRE_GROWISOFS_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), BONFIRE_TYPE_GROWISOFS, BonfireGrowisofsClass))
#define BONFIRE_IS_GROWISOFS(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), BONFIRE_TYPE_GROWISOFS))
#define BONFIRE_IS_GROWISOFS_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), BONFIRE_TYPE_GROWISOFS))
#define BONFIRE_GROWISOFS_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), BONFIRE_TYPE_GROWISOFS, BonfireGrowisofsClass))

typedef struct BonfireGrowisofsPrivate BonfireGrowisofsPrivate;

typedef struct {
	BonfireProcess parent;
	BonfireGrowisofsPrivate *priv;
} BonfireGrowisofs;

typedef struct {
	BonfireProcessClass parent_class;
} BonfireGrowisofsClass;

GType bonfire_growisofs_get_type();

BonfireGrowisofs *bonfire_growisofs_new();

#endif /* GROWISOFS_H */
