/***************************************************************************
*            file-src.h
*
*  jeu jun  2 18:51:16 2005
*  Copyright  2005  Philippe Rouquier
*  bonfire-app@wanadoo.fr
****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */



#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifdef BUILD_GDL

#ifndef FILE_SRC_H
#define FILE_SRC_H

#include <glib.h>
#include <glib-object.h>

#include <gdl/gdl-dock.h>
#include <gdl/gdl-dock-item.h>

G_BEGIN_DECLS
#define BONFIRE_TYPE_FILE_SOURCE         (bonfire_file_source_get_type ())
#define BONFIRE_FILE_SOURCE(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), BONFIRE_TYPE_FILE_SOURCE, BonfireFileSource))
#define BONFIRE_FILE_SOURCE_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), BONFIRE_TYPE_FILE_SOURCE, BonfireFileSourceClass))
#define BONFIRE_IS_FILE_SOURCE(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), BONFIRE_TYPE_FILE_SOURCE))
#define BONFIRE_IS_FILE_SOURCE_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), BONFIRE_TYPE_FILE_SOURCE))
#define BONFIRE_FILE_SOURCE_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), BONFIRE_TYPE_FILE_SOURCE, BonfireFileSourceClass))
typedef struct BonfireFileSourcePrivate BonfireFileSourcePrivate;

typedef struct {
	GdlDock parent;
	BonfireFileSourcePrivate *priv;
} BonfireFileSource;

typedef struct {
	GdlDockClass parent_class;

	void (*activated) (BonfireFileSource * source);
	void (*selection_changed) (BonfireFileSource * source, gboolean);
} BonfireFileSourceClass;

GType bonfire_file_source_get_type ();
GtkWidget *bonfire_file_source_new ();

void
bonfire_file_source_add_menu (BonfireFileSource * source, GtkUIManager * ui_manager);

char **bonfire_file_source_get_uris (BonfireFileSource * source);

void
bonfire_file_source_show (BonfireFileSource * source);

void
bonfire_file_source_hide (BonfireFileSource * source);

#endif				/* FILE_SRC_H */

#endif				/* BUILD_GDL */
