/***************************************************************************
 *            project.h
 *
 *  mar nov 29 09:32:17 2005
 *  Copyright  2005  Rouquier Philippe
 *  bonfire-app@wanadoo.fr
 ***************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef PROJECT_H
#define PROJECT_H

#include <glib.h>
#include <glib-object.h>

#include <gtk/gtkwidget.h>
#include <gtk/gtknotebook.h>

#include "disc.h"

G_BEGIN_DECLS

#define BONFIRE_TYPE_PROJECT         (bonfire_project_get_type ())
#define BONFIRE_PROJECT(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), BONFIRE_TYPE_PROJECT, BonfireProject))
#define BONFIRE_PROJECT_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), BONFIRE_TYPE_PROJECT, BonfireProjectClass))
#define BONFIRE_IS_PROJECT(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), BONFIRE_TYPE_PROJECT))
#define BONFIRE_IS_PROJECT_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), BONFIRE_TYPE_PROJECT))
#define BONFIRE_PROJECT_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), BONFIRE_TYPE_PROJECT, BonfireProjectClass))

typedef struct BonfireProjectPrivate BonfireProjectPrivate;

typedef struct {
	GtkNotebook parent;
	BonfireProjectPrivate *priv;
} BonfireProject;

typedef struct {
	GtkNotebookClass parent_class;

	void (*selection_changed) (BonfireProject *project, gboolean empty);
} BonfireProjectClass;

GType bonfire_project_get_type();
GtkWidget *bonfire_project_new();

void bonfire_project_add_uris (BonfireProject *project, char **uris);
void bonfire_project_remove_selected_uris (BonfireProject *project);
void bonfire_project_clear (BonfireProject *project);
void bonfire_project_new_project (BonfireProject *project);
void bonfire_project_new_audio_project (BonfireProject *project);
void bonfire_project_new_data_project (BonfireProject *project);
void bonfire_project_new_copy_disc (BonfireProject *project);
void bonfire_project_new_iso (BonfireProject *project, const char *name);
void bonfire_project_burn_contents (BonfireProject *project);
char *bonfire_project_get_content_icon (BonfireProject *project);
BonfireDiscResult bonfire_project_open_project (BonfireProject *project, const char *name);
gboolean bonfire_project_save_project (BonfireProject *project);
gboolean bonfire_project_save_project_as (BonfireProject *project);

#endif /* PROJECT_H */
