/***************************************************************************
*            search.h
*
*  dim mai 22 11:20:54 2005
*  Copyright  2005  Philippe Rouquier
*  bonfire-app@wanadoo.fr
****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifdef BUILD_SEARCH

#ifndef SEARCH_H
#define SEARCH_H

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtkvbox.h>

G_BEGIN_DECLS
#define BONFIRE_TYPE_SEARCH         (bonfire_search_get_type ())
#define BONFIRE_SEARCH(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), BONFIRE_TYPE_SEARCH, BonfireSearch))
#define BONFIRE_SEARCH_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), BONFIRE_TYPE_SEARCH, BonfireSearchClass))
#define BONFIRE_IS_SEARCH(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), BONFIRE_TYPE_SEARCH))
#define BONFIRE_IS_SEARCH_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), BONFIRE_TYPE_SEARCH))
#define BONFIRE_SEARCH_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), BONFIRE_TYPE_SEARCH, BonfireSearchClass))
typedef struct BonfireSearchPrivate BonfireSearchPrivate;

typedef struct {
	GtkVBox parent;

	/* Private */
	BonfireSearchPrivate *priv;
} BonfireSearch;

typedef struct {
	GtkVBoxClass parent_class;

	void (*activated) (BonfireSearch * search);
	void (*selection_changed) (BonfireSearch * search);
} BonfireSearchClass;

GType bonfire_search_get_type ();
GtkWidget *bonfire_search_new ();

char **bonfire_search_get_selected_uris (BonfireSearch * search);

void bonfire_search_unselect_all (BonfireSearch * search);

#endif				/* SEARCH_H */

#endif
